radicale (3.6.1+ds-2) unstable; urgency=medium

  * build-depend on python3-setuptools,
    explicitly and unconditionally;
    closes: bug#1126606, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2026 18:54:28 +0100

radicale (3.6.1+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
    + update coverage
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * update watch file:
    + auto-mangle upstream version
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Feb 2026 09:18:25 +0100

radicale (3.6.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * add watch file, setting Repack-Suffix: +ds
  * unfuzz patches
  * build-depend on python3-packaging
  * tighten build-dependency on python3-passlib
  * update copyright info: update coverage
  * stop build- or autopkgtest-depend on flake8

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Jan 2026 16:03:14 +0100

radicale (3.5.10-2) unstable; urgency=medium

  * add patch 2006
    to avoid testing against y2037 problem on unsupported i386
  * stop set superfluous fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3
  * drop watch file: use upstream metadata instead
  * stop build-depend on python3-setuptools

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Jan 2026 09:19:08 +0100

radicale (3.5.10-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: use Version-Type
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Dec 2025 00:00:28 +0100

radicale (3.5.9-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Nov 2025 12:14:09 +0100

radicale (3.5.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream, now obsolete
  * add README.Debian for binary package python3-radicale,
    discouraging its direct use and referencing bug#1119891
  * add patch 2005, commented out (see bug#1119891);
    thanks to Robert Ismo
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Nov 2025 19:57:08 +0100

radicale (3.5.7-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix out-of-range timestamp on 32-bit systems

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Oct 2025 12:36:51 +0200

radicale (3.5.7-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file:
    + use file format version 5
    + match only stable versions
  * update copyright info: update coverage
  * unfuzz patch 2001

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Sep 2025 09:33:50 +0200

radicale (3.5.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Aug 2025 09:52:49 +0200

radicale (3.5.4-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 14:34:48 +0200

radicale (3.5.4-1) experimental; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 May 2025 16:09:05 +0200

radicale (3.5.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * build- and autopkgtest-depend on and suggest python3-argon2;
    mention argon2 password hashing in long description

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 May 2025 19:35:03 +0200

radicale (3.5.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Apr 2025 07:48:13 +0200

radicale (3.5.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter-out potential upstream debian dir
    + simplify usage config
  * update watch file:
    + improve filename mangling
    + use Github API
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Apr 2025 09:21:48 +0200

radicale (3.5.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * build-depend on python3-setuptools;
    closes: bug#1100294, thanks to Santiago Vila
  * update and unfuzz patches
  * update README.Debian
    to reflect new default setting of auth setting
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Mar 2025 15:05:06 +0100

radicale (3.4.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patch 2001

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Jan 2025 11:52:46 +0100

radicale (3.4.0-2) unstable; urgency=medium

  * restrict access to cache directory

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Jan 2025 03:25:35 +0100

radicale (3.4.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * create cache directory during install;
    closes: bug#1092013, thanks to Peter Marschall
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Jan 2025 01:13:31 +0100

radicale (3.3.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update systemd service file: add additional ReadWritePaths entry

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Dec 2024 00:31:38 +0100

radicale (3.3.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Dec 2024 22:52:57 +0100

radicale (3.3.1-2) unstable; urgency=medium

  * suggest python3-ldap3;
    update long description regarding suggested packages

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Nov 2024 03:11:33 +0100

radicale (3.3.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * stop build-depend on python3-dateutil
  * suggest libapache2-mod-authnz-external
    (not libapache2-mod-proxy-uwsgi python3-passlib);
    update long description and README.Debian
    regarding suggested packages;
    closes: bug#1083287, thanks to Jens Reyer
  * update README.Debian regarding recommended setup;
    closes: bug#1083288, thanks to Jens Reyer
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Nov 2024 02:59:25 +0100

radicale (3.3.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 17:04:59 +0200

radicale (3.2.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Sep 2024 17:29:15 +0200

radicale (3.2.2-2) unstable; urgency=medium

  * fix redirect output streams with sysV init;
    thanks to Jelle Geerts
  * add patches cherry-picked upstream to use pyproject;
    update patch 2002;
    build-depend on pybuild-plugin-pyproject

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2024 16:08:03 +0200

radicale (3.2.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * avoid retrying in Apache2 proxy for uWSGI
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Jun 2024 18:31:30 +0200

radicale (3.2.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 1001, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Jun 2024 14:08:58 +0200

radicale (3.2.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.7.0
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 May 2024 11:26:25 +0200

radicale (3.1.9-3) unstable; urgency=medium

  * more autopkgtest-depend on python3-bcrypt

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Apr 2024 09:15:58 +0200

radicale (3.1.9-2) unstable; urgency=medium

  * autopkgtest-depend on python3-bcrypt

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Mar 2024 23:31:04 +0100

radicale (3.1.9-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file:
    + revert to track release tags (not git commits)
  * update apache2 config snippet:
    + cleanup dynamically declared variables
    + support owncloud emulation

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Mar 2024 06:35:59 +0100

radicale (3.1.8+20240316-2) unstable; urgency=medium

  * tighten patch 2001
  * stop build-depend on python3-pkg-resources python3-setuptools
  * tighten config snippets regarding reverse proxying

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Mar 2024 02:30:09 +0100

radicale (3.1.8+20240316-1) experimental; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update watch file: track git commits (not release tags)
  * drop patch cherry-picked upstream, obsoleted by upstream changes
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Mar 2024 00:56:02 +0100

radicale (3.1.8-4) unstable; urgency=medium

  * add patch cherry-picked from upstream pull-request
    to remove brackets from IPv4 test hostnames;
    closes: bug#1038687, thanks to Petter Reinholdtsen
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Oct 2023 23:22:24 +0200

radicale (3.1.8-3) unstable; urgency=medium

  * build-depend unconditionally on python3-defusedxml;
    closes: bug#1052996, thanks to Helmut Grohne and Petter Reinholdtsen
  * add patch cherry-picked upstream
    to compare network location with port
  * add patch 1001 to adjust syntax in testsuite

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Oct 2023 06:47:23 +0200

radicale (3.1.8-2) unstable; urgency=medium

  * improve README.Debian;
    closes: bug#1017764, thanks to Borden
  * fix init script and default configuration;
    closes: bug#1017433, thanks to Joril and Tobias Leupold
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Dec 2022 14:33:41 +0100

radicale (3.1.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    enable automatic DEP-14 branch name handling
  * declare compliance with Debian Policy 4.6.1
  * update patch 2002;
    build-depend on and have autopkgtest depend on
    flake8 mypy python3-pytest-cov
  * unfuzz patch 2003

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Jul 2022 10:52:17 +0200

radicale (3.1.7-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Apr 2022 22:54:12 +0200

radicale (3.1.6-2) unstable; urgency=medium

  * stop depend on python3-pkg-resources

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Apr 2022 09:57:25 +0200

radicale (3.1.6-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Apr 2022 07:21:09 +0200

radicale (3.1.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 branch names debian/latest upstream/latest
      (not master upstream)
    + add usage comment
  * update patch 2002

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Feb 2022 17:36:27 +0100

radicale (3.1.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Feb 2022 21:15:19 +0100

radicale (3.1.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Feb 2022 11:47:58 +0100

radicale (3.1.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update patch 2003

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Jan 2022 02:01:07 +0100

radicale (3.1.1-2) unstable; urgency=medium

  * add patch 2003
    to avoid privacy breaches in upstream documentation
  * fix really install upstream documentation

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Jan 2022 01:41:28 +0100

radicale (3.1.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * generate and install upstream documentation and changelog;
    build-depend on cmark-gfm

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Jan 2022 01:28:38 +0100

radicale (3.1.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * make use of debhelper v13 features
  * update copyright info: update coverage
  * tighten lintian overrides
  * drop patches cherry-picked upstream now applied
  * drop patch 2003 (hardcode version number)
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Dec 2021 18:03:57 +0100

radicale (3.0.6-6) unstable; urgency=medium

  * fix avoid obsolete option --daemon in sysV script,
    and instead use start-stop-daemon option --background;
    closes: bug#1000147, thanks to Elliott Mitchell
  * declare compliance with Debian Policy 4.6.0
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * simplify source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Nov 2021 19:32:53 +0100

radicale (3.0.6-5) unstable; urgency=medium

  * fix syslog identifier,
    by calling radicale directly (not via the env resolver)
    in systemd service file;
    closes: bug#992306, thanks to Kevin Locke

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Aug 2021 09:38:42 +0200

radicale (3.0.6-4) unstable; urgency=medium

  * set LogsDirectory in systemd unit;
    thanks to Curtis Gedak and Bruno Pagani (see upstream issue #1170)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Aug 2021 14:17:56 +0200

radicale (3.0.6-3) unstable; urgency=medium

  * add patches cherry-picked upstream
    to fix bugs and extend testsuite coverage
  * add patch helper tools to source package
  * fix autopkgtest to not consider and choke on quilt files
  * fix pre-depend on ${misc:Pre-Depends},
    needed for invoke-rc.d flag introduced post buster

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Apr 2021 11:49:40 +0200

radicale (3.0.6-2) unstable; urgency=medium

  * fix have autopkgtest depend on python3-radicale;
    closes: bug#982349, thanks to Arnaud Rebillout

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Feb 2021 09:23:18 +0100

radicale (3.0.6-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    closes: bug#977997, thanks to Antonio Russo

  [ Jonas Smedegaard ]
  * copyright: update coverage
  * update and unfuzz patches
  * build-depend on python3-defusedxml
  * stop install files no longer included upstream
  * define pytest as inline autopkgtest,
    and have that autopkgtest depend on python3-waitress
    (not radicale)
  * stop check testsuite during build (fails with pybuild)
  * skip caldav-tester autopkgtest (needs redesign)
  * sync default rights file with upstream example
  * rewrite patch 2003, thanks to Antonio Russo
  * add patch 2004 to exit cleanly on SIGTERM;
    thanks to Antonio Russo
  * install systemd service file
    (disable by default, same as sysV init file);
    thanks to Antonio Russo
  * add example nginx snippet;
    thanks to Antonio Russo
  * update sysV init script
    to skip option --pidfile no longer handled upstream;
    thanks to Antonio Russo

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jan 2021 10:22:07 +0100

radicale (2.1.12-3) unstable; urgency=medium

  * fix cleanup pytest cache
  * simplify build;
    stop build-depend on cdbs
  * fix stop (build-)depend on python3-atomicwrites,
    unused upstream since 1.1.1+20160808
  * fix stop (build-)depend on python3-tz,
    unused upstream since 2.1.10
  * use debhelper compatibility level 13 (not 10);
    build-depend on debhelper-compat dh-sequence-python3
    (not debhelper)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Jan 2021 21:44:56 +0100

radicale (2.1.12-2) unstable; urgency=medium

  * fix load WSGI file (not python module) in uWSGI config
  * separate pytest and caldav-tester tests in autopkgtest
  * declare compliance with Debian Policy 4.5.0
  * improve source script copyright-check
  * copyright:
    + update coverage
    + drop unused Source URLs
  * drop superfluous shebang fixup (handled by dh_python3)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Nov 2020 16:37:07 +0100

radicale (2.1.12-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix example vhost config snippet to include radicale-uwsgi.conf
    (not bogus radicale.conf);
    closes: bug#959073, thanks to Michael Jarosch
  * update patch 2001 to set loglevel INFO (not WARNING);
    closes: bug#962572, thanks to Elliott Mitchell
  * fix (commented out) uwsgi settings for logging in standalone mode
  * fix have uwsgi grant read access to logfile for group adm
  * fix tell dpkg to cleanup unused datadirs on removal;
    closes: bug#909925, thanks to Andreas Beckmann
  * fix have sysV init script remove pidfile on stop;
    closes: bug#832956, thanks to Michael Tsang and Hagen Fuchs
  * enable generalized autopkgtest
  * update patch 2003
  * simplify source script copyright-check
  * drop unused variables in control file
  * use debhelper compatibility level 10 (not 9)
  * drop README.source
    (it is now common to use git-buildpackage to import upstream source)
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Oct 2020 19:07:42 +0200

radicale (2.1.11-8) unstable; urgency=medium

  * fix directory creation of /var/log/radicale;
    closes: bug#827858,
    thanks to Jon Kristensen, Sunil Mohan Adapa and Tim Schumacher
  * fix auto-resolve dependency on python3
  * fix use package section net (not web)
  * fix update patch 2001 to use /etc/radicale/logging,
    and adjust that to log to file (not console);
    closes: #931201, thanks to Sunil Mohan Adapa
  * update DEP-3 header for patch 2001

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Oct 2020 20:11:16 +0200

radicale (2.1.11-7) unstable; urgency=medium

  * Update NEWS entry about reviving Radical 1.x data.
    Thanks to Timo Jyrinki.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Sep 2019 11:15:15 +0200

radicale (2.1.11-6) unstable; urgency=medium

  * Really fix directory creation and access rights of /var/lib/radicale.
    Closes: Bug#919339. Thanks to Slavko.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Apr 2019 22:11:56 +0200

radicale (2.1.11-5) unstable; urgency=medium

  * Update watch file:
    + Rewrite usage comment.
    + Simplify regular expressions.
  * Fix suggest uwsgi-plugin-python3,
    and adapt long description and README.Debian.
    Thanks to A. F. Cano.
  * Fix typos DOMAIN → _DOMAIN in example vhost snippet.
    Thanks to A. F. Cano.
  * Fix have uwsgi snippet create collections subdir below /var/lib
    (not bogusly below /var/log).
    Closes: Bug#919339.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Apr 2019 12:52:13 +0200

radicale (2.1.11-4) unstable; urgency=medium

  * Add NEWS entry about incompatible changes to storage format.
    Closes: Bug#916921. Thanks to Bernard Massot.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Feb 2019 02:28:00 +0100

radicale (2.1.11-3) unstable; urgency=medium

  * Improve uwsgi snippet:
    + Fix commented out setting for running https standalone
      (was missing http module).
    + Add commented out setting for KSM memory tuning.
      Document usage in README.Debian.
    + Fix create /var/log/radicale/collections
      (not only /var/log/radicale) if missing.
      Closes: Bug#919339. Thanks to James Valleroy.
  * Declare compliance with Debian Policy 4.3.0.
  * Update copyright info: Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Jan 2019 02:43:49 +0100

radicale (2.1.11-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove debian/pycompat, it's not used by any modern Python helper.

  [ Jonas Smedegaard ]
  * Use authentication scheme "remote_user" by default.
    Install and enable tightened rights file.
    Include upstream rights file as example file.
  * Include Apache and uWSGI config snippets, and example vhost snippet.
    Have radicale suggest apache2 uwsgi libapache2-mod-proxy-uwsgi.
  * Extend comment in config file on enabling git tracking
    to add a .gitignore file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Dec 2018 00:31:39 +0100

radicale (2.1.11-1) experimental; urgency=medium

  [ upstream ]
  * New release 2.1.11:
    + Fix moving items between collections.

  [ Jonas Smedegaard ]
  * Add bug-closures to previous changelog section.
  * Add TODO item.
  * Simplify rules: Stop resolve (build-)dependencies in rules file.
  * Stop build-depend on dh-buildinfo.
  * Mark build-dependencies unneeded when tests are skipped.
  * Wrap and sort control file, and debhelper install hints.
  * Update watch file: Fix typo in usage comment.
  * Update and unfuzz patch 2003.
  * Update copyright info:
    + Extend coverage of packaging.
    + Use https protocol for primary source URL.
  * Use https protocol for homepage URL.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Dec 2018 20:12:55 +0100

radicale (2.1.10-1) experimental; urgency=medium

  [ upstream ]
  * New release 2.1.9:
    + Specify versions for dependencies.
    + Move WSGI initialization into module.
    + Check if REPORT method is actually supported.
    + Include rights file in source distribution.
    + Specify md5 and bcrypt as extras.
    + Improve logging messages.
    + Windows: Fix crash when item path is a directory.
  * New release 2.1.10:
    + Update required versions for dependencies.
    + Get RADICALE_CONFIG from WSGI environ.
    + Improve HTTP status codes.
    + Fix race condition in storage lock creation.
    + Raise default limits for content length and timeout.
    + Log output from hook.

  [ Jonas Smedegaard ]
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Update patch 2002.
  * Update package relations:
    + Tighten (build-)dependency on python3-vobject.
    + (Build-)depend on recent python3-dateutil.
    + Fix build-depend explicitly on dh-python.
      Closes: Bug#896738. Thanks to Adrian Bunk.
    + Fix have radicale depend on lsb-base.
      Closes: Bug#850617. Thanks to Laurent Arnoud.
  * Update copyright info:
    + Update an email address.
    + List upstream issue tracker as preferred contact.
  * Add patch 2003 to hardcode version.
    See https://github.com/Kozea/Radicale/issues/874.
  * Fix set source path for generating manpage.
  * Update Vcs-* fields: Source moved to Salsa.
  * Limit (historic) NEWS entries to binary package radicale.
  * Remove support for enabling radicale as system daemon in
    /etc/default/radicale.
    Add NEWS entry about the change.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Sep 2018 16:51:51 +0200

radicale (2.1.8-2) experimental; urgency=medium

  * Improve autopkgtest: Use subdir for storage.
  * Update package relations:
    + Fix (build-)depend on python3-tz.
      Closes: Bug#886425. Thanks to Matthias Urlichs.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Feb 2018 11:34:37 +0100

radicale (2.1.8-1) experimental; urgency=medium

  [ upstream ]
  * New release 2.1.6:
    + Fix content-type of VLIST.
    + Specify correct COMPONENT in content-type of VCALENDAR.
    + Cache COMPONENT of calendar objects (improves speed with some
      clients).
    + Stricter parsing of filters.
    + Improve support for CardDAV filter.
    + Fix some smaller bugs in CalDAV filter.
    + Add X-WR-CALNAME and X-WR-CALDESC to calendars downloaded via
      HTTP/WebDAV.
    + Use X-WR-CALNAME and X-WR-CALDESC from calendars published via
      WebDAV.
  * New release 2.1.7:
    + Don't print warning when cache format changes.
    + Add documentation for BaseAuth.
    + Add is_authenticated2(login, user, password) to BaseAuth.
    + Fix names of custom properties in PROPFIND requests with
      D:propname or D:allprop.
    + Return all properties in PROPFIND requests with D:propname or
      D:allprop.
    + Allow D:displayname property on all collections.
    + Answer with D:unauthenticated for D:current-user-principal
      property when not logged in.
    + Remove non-existing ICAL:calendar-color and C:calendar-timezone
      properties from PROPFIND requests with D:propname or D:allprop.
    + Add D:owner property to calendar and address book objects.
    + Remove D:getetag and D:getlastmodified properties from regular
      collections.
  * New release 2.1.8:
    + Flush files before fsync'ing.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jan 2018 17:48:12 +0100

radicale (2.1.5-2) experimental; urgency=medium

  * Improve autopkgtest:
    + Setup i18nuser.
    + Disable unsupported COPY Method feature.
    + Rewrite serverinfo.xml creation as separate Perl script.
  * Declare compliance with Debian Policy 4.1.3.
  * Update package relations:
    + Fix (build-)depend on python3-pkg-resources.
      Closes: Bug#872823. Thanks to Joerg Dorchain.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jan 2018 17:33:11 +0100

radicale (2.1.5-1) experimental; urgency=medium

  [ upstream ]
  * New release 2.1.5:
    + Add --verify-storage command-line argument.
    + Allow comments in the htpasswd file.
    + Don't strip whitespaces from user names and passwords in the
      htpasswd file.
    + Remove cookies from logging output.
    + Allow uploads of whole collections with many components.
    + Show warning message if server.timeout is used with Python release
      lower than 3.5.2.

  [ Jonas Smedegaard ]
  * Drop no longer up-to-date documentation.
    Reopens: bug#730044.
  * Improve autopkgtest:
    + Disable unsupported features (not related tests).
    + Configure paths as /base_prefix/user-principal/collection/item.
    + Enable tests CalDAV/get.xml CalDAV/ical-client.xml
      CardDAV/ab-client.xml.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Sep 2017 08:31:03 +0200

radicale (2.1.4-2) experimental; urgency=medium

  * Fix resolve python-related dependencies and provisions, and drop
    deprecated (and bogus, for python3 package) XB-Python-Version field.
    Closes: Bug#867464. Thanks to Adrian Bunk.
  * Declare compliance with Debian Policy 4.1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Aug 2017 00:29:32 +0200

radicale (2.1.4-1) experimental; urgency=medium

  [ upstream ]
  * New release 2.1.3:
    + Enable timeout for SSL handshakes and move them out of the main
      thread.
    + Create cache entries during upload of items.
    + Stop built-in server on Windows when Ctrl+C is pressed.
    + Prevent slow down when multiple requests hit a collection during
      cache warm-up.
  * New release 2.1.4:
    + Fix incorrect time range matching and calculation for some
      edge-cases with rescheduled recurrences.
    + Fix owner property.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Aug 2017 20:08:09 -0400

radicale (2.1.2-1) experimental; urgency=medium

  [ upstream ]
  * New release:
    + Remove workarounds for bugs in VObject < 0.9.5.
    + Error checking of collection tags and associated components.
    + Improve error checking of uploaded collections and components.
    + Don't delete empty collection properties implicitly.
    + Improve logging of VObject serialization.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Jul 2017 00:56:59 +0000

radicale (2.1.1-1) experimental; urgency=medium

  [ upstream ]
  * New release:
    + Add missing UIDs instead of failing.
    + Improve error checking of calendar and address book objects.
    + Fix upload of whole address books.

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
  * Update package relations:
    + Fix suggest (not only build-depend on) python3-bcrypt.
      Mention python3-bcrypt in long description.
    + Fix mention python3-passlib (not python-passlib) in long description.
    + Fix mention apache2-utils in long description.
    + Declare binary (not only build-time) hints in rules file.
    + Tighten to (build-)depend on recent python3-vobject.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jul 2017 11:44:49 +0200

radicale (2.1.0-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Remove obsolete authors.
    + Use https protocol in format string.
  * Drop patch 1002: No longer applies.
  * Update patch 2001: Drop parts that no longer applies.
  * Unfuzz patch 2002.
  * Extract metadata from graphics files before copyright check.
  * Use path /run (not /var/run).
  * Declare compliance with Debian Policy 4.0.0.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update package relations:
    + Build-depend on python3-passlib python3-bcrypt.
  * Tidy autopkgtest: Disable file locking.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2017 22:32:32 +0200

radicale (2.0.0~rc2-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.
    + Fix a CLI help description.
    + Use flup instead of flipflop to create the FastCGI application.
    + Correctly initialize the logger in the WSGI and FastCGI scripts.
    + Add random delay to httpauth authentication to avoid timing
      oracles and simple bruteforce attacks.

  [ Jonas Smedegaard ]
  * Tidy autopkgtest:
    + Use testcaldav wrapper (not python script directly).
    + More efficiently express per-user access regex.
    + Disable fsync and password masking.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Apr 2017 11:28:43 +0200

radicale (2.0.0~rc1-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Watch also for pre-releases.
    + Mangle upstream version to handle pre-releases.
  * Update patch 2001:
    + Drop filesystem_folder-below-var part adopted upstream.
    + Use snakeoil certificate.
  * Update patch 2002.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
  * Update package relations:
    + Have radicale recommend ssl-cert.
    + Stop build-depend on licensecheck.
  * Improve autopkgtest:
    + Use custom access rights mimicking Calendarserver UUIDs in paths.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Apr 2017 13:32:21 +0200

radicale (1.1.1+20170310-1) experimental; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Apr 2017 00:39:07 +0200

radicale (1.1.1+20170227-1) experimental; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.

  [ Jonas Smedegaard ]
  * Update Vcs-Browser field: Use git (not cgit) in path.
  * Update upstream cherry-picked documentation.
  * Update copyright info: Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Feb 2017 01:37:26 +0100

radicale (1.1.1+20160902-1) experimental; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Sep 2016 17:05:07 +0200

radicale (1.1.1+20160901-1) experimental; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.

  [ Jonas Smedegaard ]
  * Drop patch 1001: Fixed upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Sep 2016 15:40:32 +0200

radicale (1.1.1+20160826-1) experimental; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.

  [ Jonas Smedegaard ]
  * Re-enable logging in autopkgtest.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Aug 2016 13:06:27 +0200

radicale (1.1.1+20160813-1) experimental; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.

  [ Jonas Smedegaard ]
  * Add patch 1001 to fix errorcode when deleting non-existing item.
  * Drop CalDAV/implicitacls from core tests: Never truly succeeded.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Aug 2016 20:55:28 +0200

radicale (1.1.1+20160808-1) experimental; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.

  [ Jonas Smedegaard ]
  * Drop patch 1001: Fixed upstream.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Aug 2016 01:26:18 +0200

radicale (1.1.1+20160714-1) experimental; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.

  [ Jonas Smedegaard ]
  * Use fake HOME during autopkgtests.
  * Unfuzz patches.
  * (Build-)depend on python3-atomicwrites.
  * Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Aug 2016 00:09:10 +0200

radicale (1.1.1+20160708-1) experimental; urgency=medium

  [ upstream ]
  * Snapshot from git master branch.

  [ Jonas Smedegaard ]
  * Shorten commands in README.source (strip gbp options set in config).
  * Drop patch applied upstream.
  * Unfuzz patches.
  * Build only for python3 (not python 2.7).
  * Update package relations:
    + (Build-)depend on python3-vobject.
    + Build-depend on python3-pytest (not python-pytest.
    + Suggest python3-passlib.
    + Stop suggest python-ldap python-pampy python-passlib
      courier-authdaemon python-requests python-sqlalchemy
      python-dulwich.
    + Stop build-depend on python-setuptools.
  * Add patch 2001 to avoid arguably author-only tests.
  * Use fake HOME for testsuite (both build and autopkgtest).
  * Use multifilesystem storage and no logging for caldav-tester tests.
  * Cleanup .eggs mess from running clean target while unpatched.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Jul 2016 18:23:33 +0200

radicale (1.1.1+20160115-2) unstable; urgency=medium

  * Add patch cherry-picked upstream, to clean tests.
  * Check upstream testsuite during build and in autopkgtest.
    Build-depend on python-pytest.
  * Fix generate manpage:
    + Have help2man rule emit output on failure.
    + Fix declare prerequisites for help2man rule.
    + Fix resolve PYTHONPATH more flexibly.
    Closes: Bug#824129. Thanks to Chris Lamb.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 May 2016 14:47:20 +0200

radicale (1.1.1+20160115-1) unstable; urgency=medium

  [ upstream ]
  * Snapshot from 1.1.x git branch.
    + Repair "head" request: Correct function name.
    + Fix the Collection._parse docstring.
    + Quick fix for multifilesystem:
      - Use component names to filter duplicates.
      - Also remove items from the collections itself.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Modernize to use format 4.
    + Mention gbp in usage hint comment.
  * Update git-buildpackage config: Filter any .git* file.
  * Add section on getting upstream source to README.source.
  * Update autopkgtest:
    + Fix FAIL_OK handling.
    + Print server log on failure.
  * Update copyright info:
    + Fix alternate Github https URL.
    + Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Apr 2016 17:31:58 +0200

radicale (1.1.1-3) unstable; urgency=medium

  * Improve autopkgtest:
    + Enable CalDAV/implicitacls.xml.
    + Fix allow output to stderr.
    + Fix avoid Validation-CalDAV (causes timeout).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Apr 2016 12:44:37 +0200

radicale (1.1.1-2) unstable; urgency=medium

  * Add patch 1001 to fix return 404 when trying to delete a non
    existing item.
    Thanks to Guido Günther.
  * Add pkgautotest.
    Thanks to Guido Günther.
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize Vcs-Git field URL: Use https protocol.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Apr 2016 02:54:13 +0200

radicale (1.1.1-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Changed functionality:
    + Use the first matching section for rights.
    Security fixes:
    + Improve the regex used for well-known URIs.
    + Prevent regex injection in rights management.
    + Prevent crafted HTTP request from calling arbitrary functions.
    + Improve URI sanitation and conversion to filesystem path.
    + Decouple the daemon from its parent environment.
    Closes: bug#809920 (CVE-2015-8747 CVE-2015-8748). Thanks to Felix
    Knecht.
    Bugfixes and minor enhancements:
    + Assign new items to correct key.
    + Avoid race condition in PID file creation.
    + Improve the docker version.
    + Encode message and committer for git commits.
    + Test with Python 3.5.

  [ Jonas Smedegaard ]
  * Update TODOs.
  * Add NEWS entry about changed access rights parsing logic.
  * Drop patches now included upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Jan 2016 09:17:35 +0530

radicale (1.0.1-3) experimental; urgency=medium

  * Provide python3-radicale package.
  * Update package relations:
    Tighten build-dependencies on cdbs.
    Build-depend on python3 and python3-setuptools.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Oct 2015 15:59:56 +0100

radicale (1.0.1-2) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix encoding of git commits.
  * Add patch cherry-picked upstream to mention htpasswd encryption
    methods md5 and bcrypt in config file.
  * Fix lintian overrides.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Oct 2015 14:53:41 +0100

radicale (1.0.1-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release.
    + Update the version because of a stupid "feature"™ of PyPI.

  [ Jonas Smedegaard ]
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Fix codename in 1.0-1 changelog entry.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Oct 2015 20:20:03 +0200

radicale (1.0-1) unstable; urgency=medium

  [ upstream ]
  * New release - codename "Sunflower".
    + Enhanced performances.
    + Add MD5-APR1 and BCRYPT for htpasswd-based authentication.
    + Use PAM service.
    + Don't discard PROPPATCH on empty collections.
    + Write the path of the collection in the git message.
    + Tests launched on Travis

  [ Jonas Smedegaard ]
  * Update package relations:
    + Suggest python-passlib.
    + Build-depend on python-setuptools.
  * Update copyright info:
    + Extend coverage for upstream authors.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Sep 2015 11:50:59 +0200

radicale (0.10-2) unstable; urgency=medium

  * Update Vcs-* fields.
  * Update copyright info:
    + Extend coverage for myself.
    + Bump packaging license to GPL-3+.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 May 2015 14:26:03 +0200

radicale (0.10-1) experimental; urgency=medium

  [ upstream ]
  * New release - codename "Lovely Endless Grass".
    + IMAP: don't spam the logs about non-SSL connections to localhost.
    + Fix owner-read-write rule in rights example file.

  [ Jonas Smedegaard ]
  * Revert to track upstream upstream releases (not specific snapshot).
  * Declare compliance with Debian Policy 3.9.6.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Jan 2015 13:58:53 +0100

radicale (0.10~20150105+abb1de8-1) experimental; urgency=medium

  [ upstream ]
  * snapshot of not yet formally released changes.
    + Support well-known URLs.
    + Fix collection discovery.
    + Reload logger config on SIGHUP.
    + Remove props files when deleting a collection.
    + Support salted SHA1 passwords.

  [ Jonas Smedegaard ]
  * Temporarily track upstream git snapshot.
  * Really improve short and long descriptions (missed in 0.9-1).
  * Really suggest python-dulwich (missed in 0.9-1).
  * Stop comment out defaults in configfile: Fixed upstream.
  * Unfuzz patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Jan 2015 18:01:25 +0100

radicale (0.9-1) unstable; urgency=medium

  [ upstream ]
  * New release - codename "Rivers".
    + Custom handlers for auth, storage and rights.
    + 1-file-per-event storage.
    + Git support for filesystem storages.
    + DB storage working with PostgreSQL, MariaDB and SQLite.
    + Clean rights manager based on regular expressions.
    + Support of contacts for Apple's clients.
    + Support colors.
    + Decode URLs in XML.
    + Fix PAM authentication.
    + Use consistent etags.
    + Use consistent sorting order.
    + Return 401 on unauthorized DELETE requests.
    + Move pid file creation in child process.
    + Allow requests without base_prefix.

  [ Jonas Smedegaard ]
  * Fix tidy execution bit and hashbang of FCGI and WSGI scripts.
  * Update copyright info:
    + Add a copyright holder.
    + Add email of a copyright holder.
  * Improve short and long descriptions.
  * Suggest python-dulwich: Needed for git-tracked filesystem backend.
  * Update patches.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Aug 2014 02:45:51 +0200

radicale (0.8-2) unstable; urgency=medium

  * Update TODOs with references to upstream issue tracking.
  * Include as normal files (not examples) WSGI and FCGI scripts and SQL
    schema: They should be perfectly usable as-is.
    Closes: Bug#682016. Thanks to Konstantin Khomoutov.
  * Tidy SysV init file slightly.
  * Fix allow read access for adm group to logfiles.
    Thanks to Konstantin Khomoutov.
  * Bump standards-version to 3.9.5.
  * Include upstream documentation, fetched from Github.
    Closes: Bug#730044. Thanks to W. Martin Borgert.
  * Relax build-dependency on cdbs (likely was too tight due to a bug in
    cdbs in checking Python build system was used from a subdir).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 May 2014 18:00:56 +0200

radicale (0.8-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + New rights management; configurations need to be updated.
    Closes: bug#676660.

  [ Christian M. Amsüss ]
  * Drop patch 0001: Applied upstream.
  * Update patch 1001 to comment out new options, and refresh.
  * Add myself as uploader.

  [ Martín Ferrari ]
  * Check DISABLED var before restarting. (Closes: #713936).
  * Remove Default-Stop levels from the LHS initscript header.
    Closes: bug#714165.
  * Add FCGI and WSGI scripts as examples.
    Related to bug#682016.

  [ Jonas Smedegaard ]
  * Adjust init script to allow stopping even when daemon disabled (only
    skip start part of restart action, not also stop part).
  * Bump debhelper compatibility to 8.
  * Use anonscm.debian.org URL for Vcs-Git.
  * Bump standards-version to 3.9.4.
  * Fix use comment pseudo-sections in copyright file to obey silly
    restrictions of copyright format 1.0.
  * Have git-import-orig suppress upstream .gitignore file.
  * Build-depend on devscripts, enabling copyright check always.
  * Relax to build-depend unversioned on help2man: Needed version
    satisfied even in oldstable.
  * Update watch and rules files to directly use github.com URL (not
    githubredir.debian.net).
  * Stop tracking md5sum of upstream tarball.
  * Install SQL schema file as example.
  * Fix suggest python-pampy (not python-pam).
  * Suggest python-requests (for http auth) and python-sqlalchemy (for
    SQL storage).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Aug 2013 22:42:14 +0200

radicale (0.7-1.1) unstable; urgency=low

  * Non-maintainer upload. (Acknowledged by Jonas Smedegaard)
  * Tighten dependency on python-radicale.
    Make the Depends on python-radicale explicit on the binary package
    version. (Closes: #699724)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 10 Feb 2013 21:02:27 +0100

radicale (0.7-1) unstable; urgency=low

  * New upstream release.

  [ Martin Stigge ]
  * Remove build-dependency on python-dev. Not needed.
  * Add myself to Uploaders:
  * Remove build/ directory in clean target.
  * Implement daemon handling:
    + Add postinst for creation of user and directory.
    + Add postrm to remove log and run dirs from /var.
    + Add initscript and defaults file
    + Patch configuration to fit daemon needs.
    + Add logrotate config file.
    + Depend on adduser.
  * Comment out all config defaults to ease maintenance.
  * Add patch 0001 to fix Iceowl support in newly created calendars,
    cherry-picked from upstream VCS.

  [ Jonas Smedegaard ]
  * Update CDBS suppression for unneeded build-dependency on python-dev.
  * Bump standards-version to 3.9.3.
  * Simplify install files, as supported by debhelper 7.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Extend my copyright for Debian packaging.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Shorten GPL comments.
    + Quote license strings in comments.
    + Move reference to upstream licensing URL to topmost GPL comment.
    + Extend copyright years.
  * Document authentication needs in long description.
    Suggest apache2-utils python-ldap python-pam courier-authdaemon.
  * Sync long descriptions with intro on upstream project website.
  * Reduce patch and split into multiple ones to ease upstream adoption.
  * Add --daemon and --pid options as default daemon arguments (and stop
    patching similarly in config file).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Jun 2012 00:13:19 +0200

radicale (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * Use Github as upstream source.
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
  * Bump debhelper compat level to 7.
  * Fix install logging config file.
    Closes: bug#655155. Thanks to Martin Stigge.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Jan 2012 14:51:38 +0100

radicale (0.6.3-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#640145.
  * Drop all patches: applied upstream now.
  * Use new default python helper (not deprecated python-support).
    Tighten build-dependency on python and python-dev to versions
    supporting it. Stop build-depending on python-support.
  * Have radicale explicitly depend on python (though already satisfied
    through python-radicale), to silence lintian.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Shorten license comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Adjust source for upstream changed download URL:
    + Relax watch file regexp.
    + Update DEB_UPSTREAM_URL (used by CDBS get-orig-source target).
  * Tighten build-dependency on cdbs.
  * Build-depend unversioned on debhelper: Needed version satisfied even
    in unstable.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Dec 2011 20:37:43 +0700

radicale (0.4-2) unstable; urgency=low

  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add dpkg-source local-options.
  * Ease backporting:
    + Avoid optional build-dependencies.
    + Bump down debhelper compat level to 6.
      Relax build-dependency on debhelper accordingly.
    + Adjust CDBS usage to only optionally use new features.
      Build-depend unversioned on cdbs.
      Stop build-depending on devscripts.
  * Build-depend on dh-buildinfo.
  * Add patches 0001-0014 from upstream Git, for improved inter-
    operability with MacOS, Windows and iPhone clients.
  * Update copyright file:
    + Rewrite using Subversion rev.173 of draft DEP5 format.
  * Use new default python helper (not deprecated python-support).
    + Stop explicitly setting python helper hint in rules file.
    + Tighten build-dependency on python and python-dev to versions
      supporting it.
    + Stop build-depending on python-support.
  * Have radicale explicitly depend on python (though already satisfied
    through python-radicale), to silence lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 15:49:03 +0100

radicale (0.4-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Install new global config file below /etc.
  * Bump standards-version to 3.9.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Sep 2010 15:07:52 +0200

radicale (0.3-2) unstable; urgency=low

  * Tighten watch file to avoid git snapshot tarball.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jul 2010 12:28:33 +0200

radicale (0.3-1) unstable; urgency=low

  * New upstream release.
  * Fix watch file.
  * Bump Policy compliance to Standards-Version 3.9.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Jun 2010 20:02:32 +0200

radicale (0.2-3) unstable; urgency=low

  * Fix tighten build-dependency on help2man to versions implementing
    option --version-string.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 May 2010 16:44:14 +0200

radicale (0.2-2) unstable; urgency=low

  * Generate manpage using script and library in destdir (not builddir).
  * Ensure proper hash-bang in Python script.
  * Fix append version to python dependency if using non-default
    version.
  * Fix have radicale depend on python-radicale.
  * Fix use of ${python:Provides} (not bogus ${python:Replaces}) and
    ${python:Versions}.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 May 2010 04:06:34 +0200

radicale (0.2-1) unstable; urgency=low

  * Initial release. Closes: bug#581979.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 May 2010 16:19:37 +0200
